/*---------------------------------------------------------------------------*/
/* appproxy.h                                                                */
/* copyright (c) innovaphone 2018                                            */
/*                                                                           */
/*---------------------------------------------------------------------------*/

#define APPPROXY_REGISTERED_PATH    "ext"

class UAppProxy {
public:
    virtual void AppProxyReady() = 0;
    virtual void AppProxyConnectionMonitor(const char *url, bool up) {};
};

class IAppProxy {
public:
    virtual ~IAppProxy() {};

    virtual void Cacheable(const char* url, const char* filename) = 0;
    virtual void ConnectionMonitor(bool on) = 0;
};
